com.ihr.xbrl.om.errors

## Class XBRLRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ihr.xbrl.om.errors.XBRLRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XBRLInterruptedException, XDTRuntimeException, XTRuntimeException

      public class XBRLRuntimeException
      extends java.lang.RuntimeException

  Standard runtime error while working with XBRL objects. This is for example when an object cannot be created for the parameters supplied and things like that.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRuntimeException(java.lang.String string, XBRLInconsistency e)` Instantiates a new XBRL runtime exception.
    `XBRLRuntimeException(java.lang.String string, XBRLSerializationException e)` Instantiates a new XBRL runtime exception.
    `XBRLRuntimeException(java.lang.String string, XBRLValidationException e)` Instantiates a new XBRL runtime exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Gets the code.
    `XBRLInconsistency` | `getInconsistency()` Gets the inconsistency.
    `XBRLSerializationException` | `getSerializationException()` Gets the serialization exception.
    `XBRLValidationException` | `getValidationException()` Gets the validation exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRuntimeException

          public XBRLRuntimeException(java.lang.String string,
                              XBRLValidationException e)

      Instantiates a new XBRL runtime exception.
      Parameters:
        `string` - the string
        `e` - the e

    - #### XBRLRuntimeException

          public XBRLRuntimeException(java.lang.String string,
                              XBRLSerializationException e)

      Instantiates a new XBRL runtime exception.
      Parameters:
        `string` - the string
        `e` - the e

    - #### XBRLRuntimeException

          public XBRLRuntimeException(java.lang.String string,
                              XBRLInconsistency e)

      Instantiates a new XBRL runtime exception.
      Parameters:
        `string` - the string
        `e` - the e

  - ### Method Detail

    - #### getValidationException

          public XBRLValidationException getValidationException()

      Gets the validation exception.
      Returns:
        the validation exception

    - #### getSerializationException

          public XBRLSerializationException getSerializationException()

      Gets the serialization exception.
      Returns:
        the serialization exception

    - #### getInconsistency

          public XBRLInconsistency getInconsistency()

      Gets the inconsistency.
      Returns:
        the inconsistency

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the code